Subject: Re: [MMUSIC] Review of draft-ietf-mmusic-trickle-ice-sip-12

From: Thomas Stach <[email-masked]>
Date: Thu, 1 Feb 2018 23:49:06 +0100

Shawn,

first of all apologies for the delay in responding to your review.

Thanks for your effort.

Responses inline

On 2018-01-23 01:56, Shawn Emery wrote:
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written primarily for the benefit of the security
> area directors. Document editors and WG chairs should treat these
> comments just like any other last call comments.
>
> This draft specifies how the Session Initiation Protocol (SIP) can use the
> non-blocking version of the Interactive Connectivity Establishment 
> (ICE) protocol,
> Trickle ICE, and defines a new registry for this usage.
>
> The security considerations section does exist and defers security 
> concerns to
> draft-ietf-mmusic-ice-sip-sdp, RFC 6086, and draft-ietf-ice-trickle.
>
> 1. draft-ietf-mmusic-ice-sip-sdp
> This will hopefully be available for a secdir review in the near 
> future, see general
> comments concern below.
> 2. RFC 6086
> 6086 prescribes S/MIME if the environment requires payloads to be 
> private and
> also suggests a digest-challenge in order to provide integrity protection.
> 3. draft-ietf-ice-trickle
> defers to draft-ietf-ice-rfc5245bis.  ice-sip should reference the 
> 5245bis draft
> directly. I won't duplicate Stephen's efforts in reviewing 5245bis.
>
> General comments:
>
> I'm concerned about the normative references to ietf-mmusic-ice-sip-sdp.
> This draft should progress before or along with any dependents.
As far as I can tell both draft will be progresses together in order to 
have the contents in-sync
>
> Editorial comments:
>
> Some of the abbreviations that are not expanded and are not listed as well
> known by the RFC Editor:
>
> SDP
> AOR
> STUN
> TURN
> GRUU (needs to be expanded in Section 3.1)
>
> making it cumbersome to follow the specification.
Sorry for that. I'll provide the necessary expansions.

Thanks again for your review!
Regards
Thomas
> Shawn.
> --